获取 /groups/{groupId}/apps/{appId}/deployment_migration

获取当前部署迁移的元数据和状态(如果存在)。

路径参数

响应

  • 200 application/json

    Ok

    隐藏响应属性 显示响应属性 对象
    • 状态 字符串

      取值为 started、downtime、enabling_event_subscriptions、cleanup、successful 或 failed。

    • message 字符串

      当前迁移状态的描述。

    • updated_at 字符串

      部署迁移的最新更新的时间戳。

    • from 对象

      迁移开始时应用的部署模型和云提供商区域

      从属性中隐藏 从属性显示 对象
      • deployment_model 字符串

        应用程序部署模型。

        值为 GLOBAL 或 LOCAL。

      • provider_region 字符串
        以下之一:

        取值为 aws-us-east-1、aws-us-west-2、aws-us-east-2、aws-eu-central-1、aws-eu-west-1、aws-eu-west-2、aws-ap-southeast-1、aws-ap-southeast-2、aws-ap-south-1 或 aws-sa-east-1。

        取值为 azure-eastus2、azure-westus、azure-westeurope、azure-eastasia 或 azure-southeastasia。

        取值为 gcp-us-central1、gcp-us-east4、gcp-us-west1、gcp-europe-west1 或 gcp-asia-south1。

    • to 对象

      迁移的目标部署模型和云提供商区域。成功迁移完成后,应用将使用这些部署设置,而不是 from 中描述的设置。

      隐藏到属性 显示到属性 对象
      • deployment_model 字符串

        应用程序部署模型。

        值为 GLOBAL 或 LOCAL。

      • provider_region 字符串
        以下之一:

        取值为 aws-us-east-1、aws-us-west-2、aws-us-east-2、aws-eu-central-1、aws-eu-west-1、aws-eu-west-2、aws-ap-southeast-1、aws-ap-southeast-2、aws-ap-south-1 或 aws-sa-east-1。

        取值为 azure-eastus2、azure-westus、azure-westeurope、azure-eastasia 或 azure-southeastasia。

        取值为 gcp-us-central1、gcp-us-east4、gcp-us-west1、gcp-europe-west1 或 gcp-asia-south1。

  • 404

    未找到应用

GET /groups/{groupId}/apps/{appId}/deployment_migration
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/deployment_migration' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
响应示例 (200)
{
  "status": "started",
  "message": "string",
  "updated_at": "string",
  "from": {
    "deployment_model": "GLOBAL",
    "provider_region": "aws-us-east-1"
  },
  "to": {
    "deployment_model": "GLOBAL",
    "provider_region": "aws-us-east-1"
  }
}